<script>
    import {cars} from "../carStore";
    import BookingButton from "./BookingButton.svelte";

</script>

<table>
    <tr>
        <th>Model</th>
        <th>Size</th>
        <th></th>
    </tr>
    {#each $cars as car}
        <tr>
            <td>{car.name}</td>
            <td>{car.size}</td>
            <td><BookingButton car={{'id':car.id, 'name': car.name, 'size': car.size}}/></td>
        </tr>
    {/each}

</table>

<style>
    table {
        width: 100%;
    }
</style>